Subject: [Teas] Comments to draft-liu-teas-transport-network-slice-yang-01

From: <[email-masked]>
Date: Wed, 28 Oct 2020 16:18:34 +0800 (CST)

Hi Xufeng and Co-authors,

Thank you for providing the draft-liu-teas-transport-network-slice-yang. The YANG data module based on the augment of RFC8345 is clearly defined from the perspective of network-topology (including network, nodes and links) and well reflected the characteristics of IETF network slice.  

From the Module Tree Structure specified at clause 4, the delay-tolerance is added as a leaf node and set as an Optional parameter for IETF network slice, refering to "GSMA-NS-Template: Generic Network Slice Template, Version 1.0.". I have some commens here:

1. I think the parameter set is to meet the service flexible requirements of operators and I agree to use the parameter when traffic type has no critical requirements on business performance, especially for vertical services. Considering this parameter corresponding service type is not generic and specific connectivity SLO requirements need to be satisfied for an IETF network slice,  I more suggest to add performace parameters, such as: bandwidth, latency, jitter, packet loss rate, etc. Whant do you think? 

2. One minor problem is that GSMA NG.116 has been released version 3.0, I propose to use the current version as a reference. 

Appreciate it for your response.

Best regards,

Xueyan